/* ----------------------------------------------------------
		
		Psychedelic led lights with dsPic 30F2020 
		Marco Signorini - marco.signorini@libero.it
		
		File: pwmeter.h
	-----------------------------------------------------------
*/

#ifndef _PWMETER_H_
#define _PWMETER_H_

#include <dsp.h>

/* Evaluate the energy of input buffer averaging the square of samples */
unsigned int PWMT_EvalBuffer(fractional* pBuffer, fractional *pPower);

/* Count how many clipped samples are in the buffer */
unsigned char PWMT_CountClipped(fractional *pBuffer);

#endif /* _PWMETER_H_ */

