/* ----------------------------------------------------------
		
		Psychedelic led lights with dsPic 30F2020 
		Marco Signorini - marco.signorini@libero.it
		
		File: filterbank.h
	-----------------------------------------------------------
*/

#ifndef _FILTERBANK_H_
#define _FILTERBANK_H_

#include <dsp.h>

/* Initialize the filter bank */
void FLTBNK_Init(void);

/* Perform filtering of SMPBUFFER samples */
fractional* FLTBNK_FilterDC(void);
fractional* FLTBNK_FilterLow(void);
fractional* FLTBNK_FilterMid(void);
fractional* FLTBNK_FilterHi(void);

#endif /* _FILTERBANK_H_ */

